<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
$node_id = sanitize($_GET['node_id']);
		
include("header.php");
		
$query = "SELECT
		a.asset_id,
		n.node_id,
		n.node_ip,
		n.node_mac,
		n.node_dns1,
		n.node_dns2,
		n.node_info,
		s.subnet_id,
		n.zone_id
	FROM
		asset AS a,
		node AS n,
		subnet AS s
	WHERE
		a.asset_id=n.asset_id
		AND n.node_id=" . $node_id . "
		AND s.subnet_id=n.subnet_id";

$node = $db->db_select($query);

$smarty->assign("node_id", $node[0]['node_id']);
$smarty->assign("node_ip", $node[0]['node_ip']);
$smarty->assign("node_mac", write_mac($node[0]['node_mac']));
$smarty->assign("node_dns1", $node[0]['node_dns1']);
$smarty->assign("node_dns2", $node[0]['node_dns2']);
$smarty->assign("node_info", $node[0]['node_info']);
$smarty->assign("asset_id", $node[0]['asset_id']);
$smarty->assign("subnet_id", $node[0]['subnet_id']);
$smarty->assign("zone_id", $node[0]['zone_id']);

$smarty->assign("asset_options", $db->options_asset());
$smarty->assign("subnet_options", $db->options_subnet());
$smarty->assign("zone_options", $db->options_zone("(keine)"));

$smarty->display("nodeedit.tpl");
		
include("footer.php");
?>
