<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
include("header.php");
		
$query = "SELECT
	zone_id,
	zone_origin,
	zone_soa,
	zone_hostmaster,
	zone_serial
FROM
	zone
ORDER BY
	zone_origin";
		
$zones = $db->db_select($query);

$smarty->assign("zones", $zones);
$smarty->display("zone.tpl");
		
include("footer.php");
?>