<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");

$node_id = sanitize($_GET['node_id']);

include("header.php");

// node_ext
$query = "SELECT
		node_ip AS node_ip_ext
	FROM
		node
	WHERE
		node_id=" . $node_id;

$node = $db->db_select($query);

$smarty->assign("node_id_ext", $node_id);
$smarty->assign("node_ip_ext", $node[0]['node_ip_ext']);

// options
$query = "SELECT
		a.asset_name,
		n.node_ip,
		x.nat_ext
	FROM
		asset AS a,
		nat AS x,
		node AS n
	WHERE
		x.nat_ext="  . $node_id . "
		AND n.node_id=x.nat_int
		AND a.asset_id=n.asset_id
	ORDER BY
		INET_ATON(n.node_ip)";

$nodes = $db->db_select($query);

$options = array();
foreach ($nodes as $rec) {
    $options[$rec['nat_ext']] = $rec['node_ip'] . '/' . $rec['asset_name'];
}
$smarty->assign("nat_options", $options);
$smarty->display("natdel.tpl");

include("footer.php");
?>
