<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
include("header.php");

if(isset($_GET['subnet_id'])) {
    $subnet_id = sanitize($_GET['subnet_id']);
    $subnet_view = "WHERE node.subnet_id=" . $subnet_id;
    $smarty->assign("subnet_id", $subnet_id);
} else {
    $smarty->assign("subnet_id", "");
}

$query = "SELECT
        asset.asset_id,
        REPLACE(asset.asset_name, ' ', '&nbsp;') AS asset_name,
        asset.asset_info,
        node.node_id,
        node.node_ip
    FROM
        asset LEFT JOIN node USING (asset_id)
    " . $subnet_view . "
    GROUP BY
        node.node_id
    ORDER BY
        INET_ATON(node.node_ip)";

$nodes = $db->db_select($query);
$smarty->assign("nodes", $nodes);
$smarty->display("node.tpl");

include("footer.php");
?>
