<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
$subnet_id = sanitize($_GET['subnet_id']);
		
include("header.php");
	
// subnet
$query = "SELECT
		subnet_address,
		subnet_mask
	FROM
		subnet
	WHERE
		subnet_id=" . $subnet_id;

$subnet = $db->db_select($query);

$smarty->assign("subnet_id", $subnet_id);
$smarty->assign("subnet_address", $subnet[0]['subnet_address']);
$smarty->assign("subnet_mask", $subnet[0]['subnet_mask']);
	
// node		
$query = "SELECT
		node_id,
		node_ip
	FROM
		node
	WHERE
		subnet_id=" . $subnet_id . "
	ORDER BY
		INET_ATON(node_ip)";

$nodes = $db->db_select($query);

$smarty->assign("nodes", $nodes);
$smarty->display("subnetdel.tpl");
		
include("footer.php");
?>
