<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$subnet_id = sanitize($_GET['subnet_id']);

include("header.php");

$query = "SELECT
        subnet_address,
        subnet_mask,
        protocol_version,
        subnet_dhcp_start,
        subnet_dhcp_end,
        ntp_server,
        subnet_info AS subnet_info
    FROM
        subnet
    WHERE
        subnet_id=" . $subnet_id;

$subnet = $db->db_select($query);

$smarty->assign("subnet_id", $subnet_id);
$smarty->assign("subnet_address", $subnet[0]['subnet_address']);
$smarty->assign("subnet_mask", $subnet[0]['subnet_mask']);
$smarty->assign("subnet_proto_vers", $subnet[0]['protocol_version']);
$smarty->assign("subnet_dhcpstart", $subnet[0]['subnet_dhcp_start']);
$smarty->assign("subnet_dhcpend", $subnet[0]['subnet_dhcp_end']);
$smarty->assign("subnet_ntp_server", $subnet[0]['ntp_server']);
$smarty->assign("subnet_info", $subnet[0]['subnet_info']);

$smarty->display("subnetedit.tpl");

include("footer.php");
?>
