<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$subnet_id = sanitize($_GET['subnet_id']);

include("header.php");

// subnet
$query = "SELECT
        subnet_address,
        subnet_mask
    FROM
        subnet
    WHERE
        subnet_id=" . $subnet_id;

// run query
$subnet = $db->db_select($query);

$smarty->assign("subnet_id", $subnet_id);
$smarty->assign("subnet_address", $subnet[0]['subnet_address']);
$smarty->assign("subnet_mask", $subnet[0]['subnet_mask']);

// location
$query = "SELECT
        l.location_id,
        l.location_name
    FROM
        subnetlocation AS s LEFT JOIN location USING (location_id)
    WHERE
        s.subnet_id="  . $subnet_id . "
    ORDER BY
        l.location_name";

// run query
$records = $db->db_select($query);
$locations = array();
foreach ($records as $rec) {
    $locations[$rec['location_id']] = $rec['location_name'];
}
$smarty->assign("location_options", $locations);

$smarty->display("subnetlocationdel.tpl");

include("footer.php");
?>
