<table class="title">
<tr>
    <td class="header">
        <img class="icon" src="images/building.png" alt="" />
        {$location_name}
    </td>
    <td align="right">
        <a href="locationadd.php?location_parent={$location_id}"><img src="images/building_add.png" alt="{$lang_sublocation_add}"></a>
        <a href="locationedit.php?location_id={$location_id}"><img src="images/building_edit.png" alt="{$lang_location_edit}"></a>
        <a href="locationdel.php?location_id={$location_id}"><img src="images/building_delete.png" alt="{$lang_location_del}"></a>
    </td>
</tr>
</table>

<table class="info">
<tr>
    <td class="header">
        {$lang_location}
    </td>
    <td class="header_right">
        &nbsp;
    </td>
</tr>
<tr>
    <td class="label">
        {$lang_location_name}
    </td>
    <td class="value">
        <ol id="breadcrumbs">
            {foreach item=breadcrumb from=$crumbs name=breadcrumbs}
            <li{if $smarty.foreach.breadcrumbs.first} class="first"{/if}><a href="{$breadcrumb.url}">{$breadcrumb.name}</a></li>
            {/foreach}
        </ol>
    </td>
</tr>
<tr>
    <td class="label">
        {$lang_location_info}
    </td>
    <td class="value">
        {$location_info}
    </td>
</tr>
</table>

<table class="info">
<tr>
    <td class="header">
        {$lang_sublocation}
    </td>
    <td class="header_right">
        &nbsp;
    </td>
</tr>
<tr>
    <td class="label">
        {$lang_sublocations} ({$sublocations|@count})
    </td>
    <td class="value">
        {foreach item=sublocation from=$sublocations}
        <a href="locationview.php?location_id={$sublocation.sublocation_id}">{$sublocation.sublocation_name}</a>
        {$sublocation.info_short}{if $sublocation.info_length>40}&hellip;{/if}
        <br>
        {/foreach}
    </td>
</tr>
</table>

<table class="info">
<tr>
    <td class="header">
        {$lang_subnet}
    </td>
    <td class="header_right">
        <a href="locationsubnetedit.php?location_id={$location_id}"><img src="image.php?icon=edit" alt="{$lang_locationsubnet_edit}"></a>
    </td>
</tr>
<tr>
    <td class="label">
        {$lang_subnets} ({$subnets|@count})
    </td>
    <td class="value">
        {foreach item=subnet from=$subnets}
        <a href="subnetview.php?subnet_id={$subnet.subnet_id}">{$subnet.subnet_address}/{$subnet.subnet_mask}</a><br>
        {/foreach}
    </td>
</tr>
</table>